<!--
 * @Description: 
 * @Author: TT
 * @Date: 2023-02-27 11:30:56
 * @LastEditTime: 2023-03-03 17:55:01
 * @LastEditors: TT
-->
<template>
  <nav-menu> </nav-menu>
  <router-view />
  <map-mernu v-show="screenFlag"></map-mernu>
  <map-bottom></map-bottom>
  <layer-manager></layer-manager>
  <history-layer v-if="!screenFlag"></history-layer>
</template>

<script lang="ts" setup>
import navMenu from "../components/navMenu.vue";
import mapMernu from "../components/mapMernu";
import mapBottom from "../components/mapBottom";
import layerManager from "../components/layerManager";
import historyLayer from "../components/historyLayer";
import store from "@/store";

import { ref, onMounted, reactive, defineProps, defineEmits, watch } from "vue";
const screenFlag = ref(true);
onMounted(() => {
  screenFlag.value = store.state.showScreenFlag;
});
watch(
  () => store.state.showScreenFlag,
  (newVal, oldVal) => {
    screenFlag.value = newVal;
  },
  { immediate: true, deep: true }
);
onMounted(() => {});
</script>
<style lang="less" scoped></style>
